## org.gnu.gtk
Class Adjustment

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Adjustment

public class Adjustment
extends GtkObject

This object stores geometry information, such as upper and lower bounds, step and page increments, and the size of a page. Other objects use an Adjustment object to store their internal dimension settings. It also is passed as an argument to specify geometry.

See Also:
  `SpinButton`, `Range`, `HScrollBar`, `VScrollBar`, `HScale`, `VScale`

Constructor Summary
`Adjustment(double value, double lower, double upper, double stepIncrement, double pageIncrement, double pageSize)` Constructs a new adjustment
`Adjustment(org.gnu.glib.Handle handle)` Construct a new Adjustment from a handle to a native resource.

Method Summary
`void` `addListener(AdjustmentListener listener)` Register an object to handle spin events.
`void` `clampPage(double lower, double upper)` Updates the GtkAdjustment value to ensure that the range between lower and upper is in the current page (ie between value and value + pageSize).
`static Adjustment` `getAdjustment(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`java.lang.Class` `getEventListenerClass(java.lang.String signal)`
`EventType` `getEventType(java.lang.String signal)`
`double` `getLower()` Gets the minimum value of the adjustment
`double` `getPageIncrement()` Gets the page increment of the adjustment.
`double` `getPageSize()` Gets the page size of the adjustment.
`double` `getStepIncrement()` Gets the step increment of the adjustment.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`double` `getUpper()` Gets the maximum value of the adjustment.
`double` `getValue()` Gets the current value of the adjustment.
`void` `handleChanged()`
`void` `removeListener(AdjustmentListener listener)` Removes a listener
`void` `setLower(double lower)`
`void` `setPageIncrement(double pageIncrement)`
`void` `setPageSize(double pageSize)`
`void` `setStepIncrement(double stepIncrement)`
`void` `setUpper(double upper)`
`void` `setValue(double value)` Sets the GtkAdjustment value.

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Adjustment

    public Adjustment(org.gnu.glib.Handle handle)

  Construct a new Adjustment from a handle to a native resource.

### Adjustment

    public Adjustment(double value,
                      double lower,
                      double upper,
                      double stepIncrement,
                      double pageIncrement,
                      double pageSize)

  Constructs a new adjustment

Parameters:
  `value` - The initial value.
  `lower` - The minimum value.
  `upper` - The maximum value.
  `stepIncrement` - The step increment.
  `pageIncrement` - The page increment.
  `pageSize` - The page size.

Method Detail

### getAdjustment

    public static Adjustment getAdjustment(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setValue

    public void setValue(double value)

  Sets the GtkAdjustment value.

### getValue

    public double getValue()

  Gets the current value of the adjustment.

  Returns:
    The current value of the adjustment.

### getLower

    public double getLower()

  Gets the minimum value of the adjustment

  Returns:
    The minimum value of the adjustment.

### getUpper

    public double getUpper()

  Gets the maximum value of the adjustment. Note that values will be restricted by `upper - page-size` if the page-size property is nonzero.

  Returns:
    The maximum value of the adjustment.

### getStepIncrement

    public double getStepIncrement()

  Gets the step increment of the adjustment.

  Returns:
    The step increment of the adjustment.

### getPageIncrement

    public double getPageIncrement()

  Gets the page increment of the adjustment.

  Returns:
    The page increment of the adjustment.

### getPageSize

    public double getPageSize()

  Gets the page size of the adjustment. Note that the page-size is irrelevant and should be set to zero if the adjustment is used for a simple scalar value, e.g. in a SpinButton.

  Returns:
    The page size of the adjustment.

### clampPage

    public void clampPage(double lower,
                          double upper)

  Updates the GtkAdjustment value to ensure that the range between lower and upper is in the current page (ie between value and value + pageSize). If the range is larger than the page size, then only the start of it will be in the current page. A "changed" signal will be emitted if the value is changed.

### getEventListenerClass

    public java.lang.Class getEventListenerClass(java.lang.String signal)

  Overrides:
    `getEventListenerClass` in class `GObject`

### getEventType

    public EventType getEventType(java.lang.String signal)

  Overrides:
    `getEventType` in class `GObject`

### addListener

    public void addListener(AdjustmentListener listener)

  Register an object to handle spin events.

  See Also:
    `SpinListener`

### removeListener

    public void removeListener(AdjustmentListener listener)

  Removes a listener

  See Also:
    `addListener(AdjustmentListener)`

### handleChanged

    public void handleChanged()

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### setLower

    public void setLower(double lower)

### setPageIncrement

    public void setPageIncrement(double pageIncrement)

### setPageSize

    public void setPageSize(double pageSize)

### setStepIncrement

    public void setStepIncrement(double stepIncrement)

### setUpper

    public void setUpper(double upper)